<bugID>324447<Summary>contents of tab move up a pixel as it closes</Summary><Description>When closing a tab, its contents move up one pixel before disappearing.

Steps to reproduce (that make the problem more visible):
 1. open a new Firefox window
 2. open two new tabs with the same page in them (so you have 3 tabs total)
 3. switch to the third tab
 4. close it
Actual results:
 4. you see the page move up a pixel and then down again
Expected results:
 4. the page should not have moved at all since both tabs have identical contents

Steps to reproduce (that show it's the tab being closed that jitters):
 1. open a new Firefox window and load three tabs, with different pages in the last two
 2. switch to the last tab
 3. close the last tab
Actual results:
 3. you see the page in the third tab move a pixel up before it disappears
Expected results:
 3. the page in the third tab doesn't move before disappearing

This is a regression from Ben's tab browser landing (bug 308396) at 2006-01-20
15:04.

This is probably not only a visual problem -- it likely has measurable performance implications.

It's possible that this bug is only present given certain sizes of system fonts (e.g., it could be related to changes in the tab layout caused by the appearance/disappearance of the close box, if the close box is larger than the fonts used in the tab labels).  But that's just a guess at something to try if it turns out to be hard to reproduce -- I actually suspect it's not related to the close box since it happens both with small and large numbers of tabs.</Description></bugID>